# Audiobookshelf: Book, Audiobook and podcast server
services:
    audiobookshelf:
        container_name: audiobookshelf
        image: advplyr/audiobookshelf:latest
        ports:
            - 13378:80
        volumes:
            - books_nfs:/audiobooks
            - /srv/audiobookshelf/metadata:/metadata
            - /srv/audiobookshelf/config:/config
        environment:
            - TZ=America/New_York
            - PUID=1000 # Use your actual host UID
            - PGID=1000 # Use your actual host GID
        restart: unless-stopped

volumes:
    books_nfs:
        driver: local
        driver_opts:
            type: nfs
            o: "addr=${NAS_IP_ADDR},nolock,soft,rw"
            device: ":${NAS_MOUNT_PATH}"
